#! /usr/local/bin/perl
#==============================================================================
# LinkScan
#==============================================================================
# (c) Copyright 1997-2010 Electronic Software Publishing Corporation (Elsop)
# All Rights Reserved.
# LinkScan(TM) and Elsop(TM) are
# Trademarks of Electronic Software Publishing Corporation
# WWW: http://www.elsop.com/  Email: linkscan@elsop.com
#
# See the file docs/license.txt for terms and conditions of use
#==============================================================================

unless (@ARGV) {&Help; }
($infile, $outfile) = @ARGV;
unless (open (INP, "<$infile")) {
  print "Failed to open input file: $infile $!\n";
  &Help;
}
unless (open (OUT, ">$outfile")) {
  print "Failed to open output file: $outfile $!\n";
  &Help;
}
while (<INP>) {
  s/[\r\n]//g;
  s/#.*//;
  s/\s+/ /g;
  ($cmd, $arg1, $arg2) = split (/ /, $_);
  if ($cmd =~ m/alias/i) {$cmd = "Alias"; }
  elsif ($cmd =~ m/redirect/i) {$cmd = "Redirect"; }
  else {next; }
  $arg1 =~ s#^/+##;
  if ($arg1 =~ m#/$# && $arg2 !~ m#/$#) {$arg2 = "$arg2/"; }
  print OUT "$cmd $arg1 $arg2\n";
}
close (INP);
close (OUT);
exit;
sub Help {
print "Usage: makeign apache-conf-file linkscan-ign-file\n\n";
exit;
}

